<ng-container *ngIf="storageToken == false; then notLoged; else logedUser"></ng-container>
<ng-template #notLoged>
  <button mat-icon-button class="user-button" (click)="onOpenLoginForm()">
    <mat-icon>account_circle</mat-icon>
  </button>
  <mat-selection-list #shoes [multiple]="false" *ngIf="false">
    <mat-list-option *ngFor="let shoe of typesOfShoes" [value]="shoe">
      {{shoe}}
    </mat-list-option>
  </mat-selection-list>
</ng-template>
<ng-template #logedUser>
  <span *ngIf="user">{{user.name}}</span>

  <button mat-icon-button [matMenuTriggerFor]="menu" aria-label="icon-button with a menu">
    <mat-icon>more_vert</mat-icon>

  </button>

  <mat-menu #menu="matMenu">
    <button mat-menu-item (click)="onEditProfile()">
      <mat-icon>person</mat-icon>
      <span>Профіль</span>
    </button>
    <button mat-menu-item disabled>
      <mat-icon>card_travel</mat-icon>
      <span>Придбані документи</span>
    </button>
    <button mat-menu-item (click)="onLoginClose()">
      <mat-icon>exit_to_app</mat-icon>
      <span>Вихід</span>
    </button>
  </mat-menu>
</ng-template>




